Public Class BlockFont

    Private Sub BlockFont_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub

    Private Sub BlockFont_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
        Dim grfx As Graphics = e.Graphics
        Dim cx As Integer = Me.Width
        Dim cy As Integer = Me.Height
        Dim strText As String

        Const iReps = 50
        strText = "Block"
        Font = New Font("Times New Roman", 108)

        Dim sizef As SizeF = grfx.MeasureString(strText, Font)
        Dim x As Single = (cx - sizef.Width - iReps) / 2
        Dim y As Single = (cy - sizef.Height + iReps) / 2

        grfx.Clear(Color.LightGray)

        Dim i As Integer
        For i = 0 To iReps - 1 Step i + 1
            grfx.DrawString(strText, Font, Brushes.Black, x + i, y - i)
        Next
          grfx.DrawString(strText, font, Brushes.White, x + iReps, y - iReps)
    End Sub
End Class